Loading...
Searching...
No Matches
gr::messages::msg_producer Class Referenceabstract

Virtual base class that produces messages. More...

`#include <gnuradio/messages/msg_producer.h>`

## Public Member Functions

| msg_producer ()
virtual | ~msg_producer ()
virtual pmt::pmt_t | retrieve ()=0
| send `msg` to `msg_producer`

## Detailed Description

Virtual base class that produces messages.

## Constructor & Destructor Documentation

## msg_producer()

gr::messages::msg_producer::msg_producer | ( |  | ) |

inline

## ~msg_producer()

virtual gr::messages::msg_producer::~msg_producer | ( |  | ) |

virtual

## Member Function Documentation

## retrieve()

virtual pmt::pmt_t gr::messages::msg_producer::retrieve | ( |  | ) |

pure virtual

send `msg` to `msg_producer`

Implemented in rpcbasic_inserter< T, Tfrom >, rpcbasic_inserter< T, std::complex< double > >, rpcbasic_inserter< T, std::complex< float > >, rpcbasic_inserter< T, std::vector< float > >, rpcbasic_inserter< T, std::vector< int > >, rpcbasic_inserter< T, std::vector< int64_t > >, rpcbasic_inserter< T, std::vector< short > >, rpcbasic_inserter< T, std::vector< signed char > >, rpcbasic_inserter< T, std::vector< std::complex< float > > >, rpcbasic_inserter< T, std::vector< uint8_t > >, rpcbasic_inserter< T, uint64_t >, rpcinserter_base< T, Tfrom >, rpcinserter_base< T, std::complex< double > >, rpcinserter_base< T, std::complex< float > >, rpcinserter_base< T, std::vector< float > >, rpcinserter_base< T, std::vector< int > >, rpcinserter_base< T, std::vector< int64_t > >, rpcinserter_base< T, std::vector< short > >, rpcinserter_base< T, std::vector< signed char > >, rpcinserter_base< T, std::vector< std::complex< float > > >, rpcinserter_base< T, std::vector< uint8_t > >, and rpcinserter_base< T, uint64_t >.

The documentation for this class was generated from the following file:

- msg_producer.h